
Redmine - Feature #4589

SJIS Encoded source-code not displaying properly

2010-01-15 07:09 - Jeffrey Jones

Status: Closed Start date: 2010-01-15

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

One of the programs used by my colleagues encodes all source-code files using SIJS character encoding.

Unfortunately there is no way for this software to output to UTF-8 and re-encoding constantly would be very bothersome.

Currently the "View file" part of the repository browser cannot handle sijs.

Would it be possible to detect if a file was using sijs character encoding and take appropriate measures to display it properly in the

browser?

History

#1 - 2010-01-15 07:13 - Jeffrey Jones

My apologies, the encoding should read SJIS, not SIJS.

#2 - 2010-02-12 08:57 - Jeffrey Jones

- Status changed from New to Resolved

- % Done changed from 0 to 100

Just discovered the repository encoding option in administration which resolves the problem.

#3 - 2011-01-03 17:55 - Toshi MARUYAMA

- Subject changed from SIJS Encoded source-code not displaying properly to SJIS Encoded source-code not displaying properly

- Status changed from Resolved to Closed

Files

MAIN.cpp 51 Bytes 2010-01-15 Jeffrey Jones
